# $Revision: 1.38 $, $Date: 2010/04/03 17:22:56 $
Summary:	Networked grep
Summary(pl.UTF-8):	Sieciowy grep
Name:		ngrep
Version:	1.45
Release:	4
License:	BSD
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/ngrep/%{name}-%{version}.tar.bz2
# Source0-md5:	bc8150331601f3b869549c94866b4f1c
Patch0:		%{name}-cflags.patch
Patch1:		%{name}-pcap.patch
URL:		http://ngrep.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel >= 2:1.0.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ngrep strives to provide most of GNU grep's common features, applying
them to the network layer. ngrep is a pcap-aware tool that will allow
you to specify extended regular expressions to match against data
payloads of packets. It currently recognizes TCP and UDP across
ethernet, ppp and slip interfaces, and understands bpf filter logic in
the same fashion as more common packet sniffing tools, like tcpdump
and snoop.

%description -l pl.UTF-8
Ngrep próbuje wypełnić zadania stawiane grep-owi, w odniesieniu do
poziomu sieci. Ngrep korzysta z biblioteki pcap, pozwala na
korzystanie z wyrażeń regularnych zastosowanych do pakietów czy
kawałków danych. Obecnie obrabia pakiety TCP i UDP przychodzące na
interfejsy ethernet, ppp i slip. Ngrep zna zasady filtrowania bpf w
takim samym stylu jak częściej używane pakiety typu tpcdump czy snoop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-ipv6
%{__make} \
	MAKEFLAGS= \
	STRIPFLAG=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install ngrep $RPM_BUILD_ROOT%{_sbindir}
install ngrep.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt doc/{CHANGES,CREDITS,README,REGEX}.txt
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ngrep.spec,v $
Revision 1.38  2010/04/03 17:22:56  glen
- release 4

Revision 1.37  2009/01/03 22:11:01  areq
- libpcap 1.0.0

Revision 1.36  2008/06/29 17:49:55  areq
- don't cp -f %{_datadir}/libtool/config.sub .

Revision 1.35  2007-12-29 00:32:18  glen
- rel 2

Revision 1.34  2007-02-13 07:16:49  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.32  2006/11/30 17:33:30  sparky
- kill MAKEFLAGS, czuses some weird errors; don't strip

Revision 1.31  2006/11/29 04:51:51  aredridel
- 1.45

Revision 1.30  2006/02/26 23:37:07  sparky
- fix cflags in regex

Revision 1.29  2006/01/31 07:37:13  glen
- unify

Revision 1.28  2006/01/31 04:34:32  aredridel
- enable ipv6
- rel 2

Revision 1.27  2005/07/03 15:38:36  undefine
- up to 1.44

Revision 1.26  2005/06/08 14:49:01  zbyniu
- BR: libtool

Revision 1.25  2005/03/09 11:29:03  nail2k
- up to 1.43
- dropped ngrep-pcap-bpf.patch

Revision 1.24  2004/07/29 19:37:37  ankry
- rel. 2

Revision 1.23  2004/07/02 11:39:33  areq
- copy config.sub to allow build on amd64

Revision 1.22  2004/03/29 15:20:51  areq
- 1.42

Revision 1.21  2004/01/05 22:53:13  areq
- add pcap-bpf.patch - fix build with LIBCAP 0.8.1

Revision 1.20  2003/08/11 10:23:53  areq
- fix SOURCE0 URL

Revision 1.19  2003/08/11 10:23:21  areq
- 1.41

Revision 1.18  2003/05/28 12:59:54  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:51:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.15  2002/10/09 08:26:47  qboosh
- BR: automake; new %doc

Revision 1.14  2002/05/21 23:14:14  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/15 10:12:38  roman
- moved gzipping docs to %build

Revision 1.12  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2002/01/17 02:44:02  kloczek
- updated to 1.40.1 (bugfix release).

Revision 1.9  2001/10/28 10:03:52  misiek
- updated to 0.40

Revision 1.8  2001/08/18 21:43:45  kloczek
- added autoconf to BuildRequires.

Revision 1.7  2001/08/18 20:43:40  roman
- adapted to new automake
- added ngrep-time_h.patch to include <time.h> in ngrep.c

Revision 1.6  2001/07/19 17:28:43  roman
- changed %{__install} to install

Revision 1.5  2001/03/15 06:26:47  kloczek
- release 2.

Revision 1.4  2001/03/08 08:43:08  roman
- changed License: GPL to License: Freeware
- added COPYRIGHT to docs

Revision 1.2  2001/03/07 16:19:22  kloczek
- cosmetics.

Revision 1.1  2001/03/07 16:15:58  roman
- initial release; network grep program
